Bug 1348185 - [RFE] Missing modinfo command support in system installation
Summary: [RFE] Missing modinfo command support in system installation
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: dracut
Version: 7.2
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: dracut-maint
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks: 1101653
TreeView+ depends on / blocked
 
Reported: 2016-06-20 11:38 UTC by Jan
Modified: 2016-06-22 07:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-22 07:44:07 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jan 2016-06-20 11:38:47 UTC
Description of problem:
While installing the system, the kmod package is installed but not all links it should provide are present. modinfo command is missing.

Version-Release number of selected component (if applicable):
dracut-033-359.el7

How reproducible:
always

Steps to Reproduce:
1. When installing the system add rd.break=pre-pivot to boot options and start installation
2. run modinfo command when prompt is shown (e.g. "pre-pivot:/# modinfo -h")

Actual results:
Call results in "sh: modinfo: command not found"

Expected results:
modinfo command is executed

Additional info:
Bug found on RHEL 7.2, Fedora does not seem to have this problem.

kmod provides functionality of modinfo (as well as for e.g. modprobe and depmod) via link file. "ln -s /usr/bin/kmod /usr/sbin/modinfo" fixes the problem

Comment 2 Jan 2016-06-22 07:44:07 UTC
Based on discussion with dracut team, there is a working way how to bypass this issue.
Closing the bug...


Note You need to log in before you can comment on or make changes to this bug.